Subject: 24.0.50; mouse-yank-primary tries to yank a *buffer*

From: "Drew Adams" <[email-masked]>
Date: Wed, 21 Jul 2010 10:49:55 -0700

I click mouse-1 at the left of some text and then mouse-3 at the right
of it, to select it (a Lisp symbol).  Then I try to yank it using
`mouse-2':
 
Debugger entered--Lisp error: (wrong-type-argument char-or-string-p #<buffer
throw-x-at-pt.el>)
  mouse-yank-primary((mouse-2 (#<window 8 on throw-x-at-pt.el> 4906 (392 . 488)
12477031 nil 4906 (49 . 33) nil (224 . 9) (8 . 14))))
  call-interactively(mouse-yank-primary nil nil)
 
Yanking it with C-y works OK.  So the problem is not with what was
copied but with `mouse-yank-primary'.
 
This is silly.  Please restore the normal copy/paste behavior for the
mouse.  It seems completely broken now.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'